<template>
  <div style="width: 100%; padding: 0; margin: auto; box-shadow: 1px 8px 0 rgba(0,0,0,0.2), -7px 0 5px -3px #4caf50">
    <div> <h5 class="text-weight-bolder" style="margin: 30px 20px 30px 20px" >Detail Produk</h5></div>
      <div style="min-width: 324px; margin-left: 5%; margin-right: 5%">
        <q-tab-panel v-model="panel" animated class="shadow-2 rounded-borders" style="width: 100%">
        <div class="q-pa-md">
          <q-carousel
            swipeable
            animated
            arrows
            v-model="slide"
            :fullscreen.sync="fullscreen"
            infinite
            style="height: 190px"
          >
            <q-carousel-slide :name="1" img-src="~assets/detailproduk.jpg" />
            <q-carousel-slide :name="2" img-src="~assets/detailproduk.jpg" />
            <q-carousel-slide :name="3" img-src="~assets/detailproduk.jpg" />
            <q-carousel-slide :name="4" img-src="~assets/detailproduk.jpg" />

            <template v-slot:control>
              <q-carousel-control
                position="bottom-right"
                :offset="[18, 18]"
              >
                <q-btn
                  push round dense color="white" text-color="primary"
                  :icon="fullscreen ? 'fullscreen_exit' : 'fullscreen'"
                  @click="fullscreen = !fullscreen"
                />
              </q-carousel-control>
            </template>
          </q-carousel>
        </div>
        </q-tab-panel>
      </div>


      <div style="width: 100%" >
        <div>
          <h5 align="center" style="margin: 10px 10px 10px 0px;" >Traktor </h5>
          <p align="center" style="margin: 10px 10px 10px 0px;" >Novia Al Fitriani | <q-icon name="location_on"></q-icon> Indonesia</p>

        </div>
        <div style="width: 100%;">
          <div class="row" style="margin-left: 20px">
            <p>Merk</p>
            <p style="margin-left: 56px">:</p>
            <p style="margin-left: 30px">Kenmaster</p>
          </div>
          <div class="row" style="margin-left: 20px">
            <p>Stock</p>
            <p style="margin-left: 56px">:</p>
            <p style="margin-left: 30px">2</p>
          </div>

          <div style="width: 100%;">
            <q-expansion-item group="somegroup" label="Deskripsi" header-class="text-teal">
              <q-card>
                <q-card-section>
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem, eius reprehenderit eos corrupti
                  commodi magni quaerat ex numquam, dolorum officiis modi facere maiores architecto suscipit iste
                  eveniet doloribus ullam aliquid.
                </q-card-section>
              </q-card>
            </q-expansion-item>
            <q-expansion-item group="somegroup" label="Informasi Lainnya" header-class="text-teal">
              <q-card>
                <q-card-section>
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem, eius reprehenderit eos corrupti
                  commodi magni quaerat ex numquam, dolorum officiis modi facere maiores architecto suscipit iste
                  eveniet doloribus ullam aliquid.
                </q-card-section>
              </q-card>
            </q-expansion-item>
            <q-expansion-item group="somegroup" label="Garansi dan Pengembaliian Barang" header-class="text-teal">
              <q-card>
                <q-card-section>
                  Lorem ipsum dolor sit amet, consectetur adipisicing elit. Quidem, eius reprehenderit eos corrupti
                  commodi magni quaerat ex numquam, dolorum officiis modi facere maiores architecto suscipit iste
                  eveniet doloribus ullam aliquid.
                </q-card-section>
              </q-card>
            </q-expansion-item>
          </div>
        </div>
      </div>

    <div class="shadow-2 rounded-borders" style="margin: 20px 6% 20px 3%; width: 94%"  >
      <p style="margin-left: 20px;"> Pilih Jenis Produk yang di inginkan</p>
      <q-tab-panel v-model="panel" animated class="shadow-2 rounded-borders" style="width: 100%">
        <div class="q-pa-md">
          <table width="100%">
            <tr>
              <td align="left" width="50%">SKU</td>
              <td align="right" width="50%">S00438757674</td>
            </tr>
            <tr>
              <td align="left" width="50%">Unit</td>
              <td align="right" width="50%">1pc</td>
            </tr>
            <tr>
              <td align="left" width="50%">Spesifikasi</td>
              <td align="right" width="50%">RK345</td>
            </tr>
            <tr>
              <td align="left" width="50%">Stock</td>
              <td align="right" width="50%">1</td>
            </tr>
            <tr>
              <td align="left" width="50%">Harga</td>
              <td align="right" width="50%">6000.000 /Bulan</td>
            </tr>
            <tr>
              <td align="left" width="50%">Jenis Produk</td>
              <td align="right" width="50%">Sewa</td>
            </tr>
            <tr>
              <td align="left" width="50%"></td>
              <td align="right" width="50%">
                <table width="100%">
                  <tr>
                    <td><q-input
                      v-model.number="model"
                      type="number"
                      filled
                      style="max-width: 200px"
                    /></td>
                    <td><q-btn style="height: 55px" color="primary" label="Beli" /></td>
                  </tr>
                </table>
              </td>
            </tr>

          </table>
        </div>
      </q-tab-panel>

      <q-tab-panel v-model="panel" animated class="shadow-2 rounded-borders" style="width: 100%">
        <div class="q-pa-md">
          <table width="100%">
            <tr>
              <td align="left" width="50%">SKU</td>
              <td align="right" width="50%">S00438757674</td>
            </tr>
            <tr>
              <td align="left" width="50%">Unit</td>
              <td align="right" width="50%">1pc</td>
            </tr>
            <tr>
              <td align="left" width="50%">Spesifikasi</td>
              <td align="right" width="50%">RK345</td>
            </tr>
            <tr>
              <td align="left" width="50%">Stock</td>
              <td align="right" width="50%">1</td>
            </tr>
            <tr>
              <td align="left" width="50%">Harga</td>
              <td align="right" width="50%">6000.000 /Bulan</td>
            </tr>
            <tr>
              <td align="left" width="50%">Jenis Produk</td>
              <td align="right" width="50%">Sewa</td>
            </tr>
            <tr>
              <td align="left" width="50%"></td>
              <td align="right" width="50%">
                <table width="100%">
                  <tr>
                    <td><q-input
                      v-model.number="model"
                      type="number"
                      filled
                      style="max-width: 200px"
                    /></td>
                    <td><q-btn style="height: 55px" color="primary" label="Beli" /></td>
                  </tr>
                </table>
              </td>
            </tr>

          </table>
        </div>
      </q-tab-panel>
    </div>

    <mainfooter style="margin-top: 0px; z-index: 0!important; width: 100%" />

  </div>
</template>

<script>

import mainfooter from "components/mainfooter";

export default {
  components: {
    mainfooter,

  },

  data () {
    return {
      slide: 'style',
      tab: 'Deskripsi',
      slide: 1,
      fullscreen: false,

      expanded: false,
      lorem: 'Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.'
    }
  }
}

</script>


<style lang="sass" scoped>

.my-card
  width: 100%
  max-width: 350px
</style>
